# SolrQuery::setHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexPattern — Spécifie l'expression rationnelle pour la fragmentation

### Description

public SolrQuery::setHighlightRegexPattern(string `$value`): SolrQuery

Spécifie l'expression rationnelle pour la fragmentation. Peut être utilisé pour extraire des phrases.

### Liste de paramètres

`value`

  L'expression rationnelle pour la fragmentation. Peut être utilisé pour extraire des phrases.

### Valeurs de retour

Retourne l'objet SolrQuery courant, si la valeur retournée est utilisée.